# FireBall 火の玉
execute @e[type=snowball] ~~~ structure load fireball ~~~

# MagicMilk 魔法の牛乳
scoreboard players remove @a[scores={magic_milk=1..}] magic_milk 1
tag @a[scores={magic_milk=1..}] add magic_milk
tag @a[scores={magic_milk=0}] remove magic_milk
scoreboard players reset @a[scores={magic_milk=0}] magic_milk

# TNT 火薬
execute @e[type=tnt] ~~~ fill ~-1~-1~-1 ~1~1~1 air 0 replace structure_void

# Bridge Egg ブリッジエッグ
kill @e[type=egg,scores={bridge_egg=0}]
scoreboard players reset @e[type=egg,scores={bridge_egg=0}] bridge_egg
scoreboard players set @e[type=egg,tag=!score_finished] bridge_egg 30
execute @p[tag=team_red] ~~~ tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,r=10] add wool_red
execute @p[tag=team_blue] ~~~ tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=!wool_red,r=10] add wool_blue
execute @p[tag=team_green] ~~~ tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=!wool_red,tag=!wool_blue,r=10] add wool_green
execute @p[tag=team_yellow] ~~~ tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=!wool_red,tag=!wool_blue,tag=!wool_green,r=10] add wool_yellow
tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=wool_red] add score_finished
tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=wool_blue] add score_finished
tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=wool_green] add score_finished
tag @e[type=egg,scores={bridge_egg=1..},tag=!score_finished,tag=wool_yellow] add score_finished
execute @e[type=egg,tag=score_finished,tag=wool_red,scores={bridge_egg=1..}] ~~~ fill ~-1~-1~ ~~-1~-1 wool 14 replace air
execute @e[type=egg,tag=score_finished,tag=wool_blue,scores={bridge_egg=1..}] ~~~ fill ~-1~-1~ ~~-1~-1 wool 11 replace air
execute @e[type=egg,tag=score_finished,tag=wool_green,scores={bridge_egg=1..}] ~~~ fill ~-1~-1~ ~~-1~-1 wool 5 replace air
execute @e[type=egg,tag=score_finished,tag=wool_yellow,scores={bridge_egg=1..}] ~~~ fill ~-1~-1~ ~~-1~-1 wool 4 replace air
scoreboard players remove @e[type=egg,scores={bridge_egg=1..}] bridge_egg 1

# Flash Sponge スポンジ
execute @e[type=armor_stand,name=sponge] ~~-150~ fill ~2~2~2 ~-2~-2~-2 air 0 replace water
execute @e[type=armor_stand,name=sponge] ~~-150~ fill ~2~2~2 ~-2~-2~-2 air 0 replace flowing_water
execute @e[type=armor_stand,name=sponge] ~~-150~ fill ~2~2~2 ~-2~-2~-2 air 0 replace bw:flash_sponge
execute @e[type=armor_stand,name=sponge] ~~~ kill @e[type=armor_stand,name=sponge]

# 人数集計
# joined_players
scoreboard players set @e[tag=map] joined_players 0
execute @a[tag=joined_game] ~~~ scoreboard players add @e[tag=map] joined_players 1
# world players
scoreboard players set @e[tag=system] world_players 0
execute @a ~~~ scoreboard players add @e[tag=system] world_players 1
# on_gene_players
scoreboard players set @e[tag=map_red] on_gene_players 0
execute @a[x=81,y=65,z=-1,dx=2,dy=2,dz=2] ~~~ scoreboard players add @e[tag=map_red] on_gene_players 1
scoreboard players set @e[tag=map_blue] on_gene_players 0
execute @a[x=1,y=65,z=81,dx=-2,dy=2,dz=2] ~~~ scoreboard players add @e[tag=map_blue] on_gene_players 1
scoreboard players set @e[tag=map_green] on_gene_players 0
execute @a[x=-81,y=65,z=1,dx=-2,dy=2,dz=-2] ~~~ scoreboard players add @e[tag=map_green] on_gene_players 1
scoreboard players set @e[tag=map_yellow] on_gene_players 0
execute @a[x=-1,y=65,z=-81,dx=2,dy=2,dz=-2] ~~~ scoreboard players add @e[tag=map_yellow] on_gene_players 1
# alive_players
scoreboard players set @e[tag=map_red] alive_players 0
execute @a[tag=team_red,tag=joined_game,tag=!spectator] ~~~ scoreboard players add @e[tag=map_red] alive_players 1
scoreboard players set @e[tag=map_blue] alive_players 0
execute @a[tag=team_blue,tag=joined_game,tag=!spectator] ~~~ scoreboard players add @e[tag=map_blue] alive_players 1
scoreboard players set @e[tag=map_green] alive_players 0
execute @a[tag=team_green,tag=joined_game,tag=!spectator] ~~~ scoreboard players add @e[tag=map_green] alive_players 1
scoreboard players set @e[tag=map_yellow] alive_players 0
execute @a[tag=team_yellow,tag=joined_game,tag=!spectator] ~~~ scoreboard players add @e[tag=map_yellow] alive_players 1

# return_to_lobby
scoreboard players remove @a[scores={return_to_lobby=1..}] return_to_lobby 1
clear @a[scores={return_to_lobby=0}]
tag @a[scores={return_to_lobby=0}] remove joined_game
tag @a[scores={return_to_lobby=0}] remove team_red
tag @a[scores={return_to_lobby=0}] remove team_blue
tag @a[scores={return_to_lobby=0}] remove team_green
tag @a[scores={return_to_lobby=0}] remove team_yellow
tag @a[scores={return_to_lobby=0}] remove last_life
tp @a[scores={return_to_lobby=0}] -373 72 4 270 0
execute @a[scores={return_to_lobby=0},tag=!spectator] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"§7"},{"selector":"@p[scores={return_to_lobby=0}]"},{"text":" §eが退出しました！"}]}
execute @a[scores={return_to_lobby=0},tag=!spectator] ~~~ playsound random.click @a[tag=joined_game]
tag @a[scores={return_to_lobby=0}] remove spectator
scoreboard players reset @a[scores={return_to_lobby=0}] return_to_lobby

# TAG team_lobby
tag @a[tag=!joined_game] add team_lobby
tag @a[tag=joined_game] remove team_lobby

# dialogue change
dialogue change @e[name=four_four_npc] join_game @a

# waiting tag
tag @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow,x=0,y=118,z=0,r=50] add waiting
tag @a[tag=team_red] remove waiting
tag @a[tag=team_blue] remove waiting
tag @a[tag=team_green] remove waiting
tag @a[tag=team_yellow] remove waiting
tag @a[tag=team_lobby] remove waiting

# spawn point
# team_lobby
spawnpoint @a[tag=team_lobby] -373 72 4
# joined_game
spawnpoint @a[tag=joined_game] 0 150 0

# get wooden_sword
execute @e[name=木の剣] ~~~ give @p[tag=joined_game] wooden_sword 1 0 {"keep_on_death":{}}
execute @e[name=木の剣] ~~~ kill @e[name=木の剣,c=1]

# Start Count
execute @e[tag=map,scores={set_max_players=16,joined_players=..13},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=15,joined_players=..12},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=14,joined_players=..11},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=13,joined_players=..10},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=12,joined_players=..9},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=11,joined_players=..8},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=10,joined_players=..7},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=9,joined_players=..6},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=8,joined_players=..5},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=7,joined_players=..4},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=6,joined_players=..3},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=5,joined_players=..2},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={set_max_players=4,joined_players=..1},tag=start_count] ~~~ function reset_start_count
execute @e[tag=map,scores={sys_start_count=20,start_count=10},tag=start_count] ~~~ function start_count_display_10
execute @e[tag=map,scores={sys_start_count=20,start_count=5},tag=start_count] ~~~ function start_count_display_5
execute @e[tag=map,scores={sys_start_count=20,start_count=4},tag=start_count] ~~~ function start_count_display_4
execute @e[tag=map,scores={sys_start_count=20,start_count=3},tag=start_count] ~~~ function start_count_display_3
execute @e[tag=map,scores={sys_start_count=20,start_count=2},tag=start_count] ~~~ function start_count_display_2
execute @e[tag=map,scores={sys_start_count=20,start_count=1},tag=start_count] ~~~ function start_count_display_1
execute @e[tag=map,scores={set_max_players=16,joined_players=14..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=15,joined_players=13..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=14,joined_players=12..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=13,joined_players=11..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=12,joined_players=10..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=11,joined_players=9..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=10,joined_players=8..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=9,joined_players=7..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=8,joined_players=6..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=7,joined_players=5..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=6,joined_players=4..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=5,joined_players=3..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
execute @e[tag=map,scores={set_max_players=4,joined_players=2..},tag=!start_count,tag=!playing] ~~~ function start_count_display_20
scoreboard players remove @e[tag=map,scores={sys_start_count=1..,start_count=1..},tag=start_count] sys_start_count 1
scoreboard players remove @e[tag=map,scores={sys_start_count=0,start_count=1..},tag=start_count] start_count 1
scoreboard players set @e[tag=map,scores={sys_start_count=0,start_count=1..},tag=start_count] sys_start_count 20
execute @e[tag=map,scores={set_max_players=16,joined_players=14..,start_count=0},tag=start_count] ~~~ function game_start_16
execute @e[tag=map,scores={set_max_players=15,joined_players=13..,start_count=0},tag=start_count] ~~~ function game_start_15
execute @e[tag=map,scores={set_max_players=14,joined_players=12..,start_count=0},tag=start_count] ~~~ function game_start_14
execute @e[tag=map,scores={set_max_players=13,joined_players=11..,start_count=0},tag=start_count] ~~~ function game_start_13
execute @e[tag=map,scores={set_max_players=12,joined_players=10..,start_count=0},tag=start_count] ~~~ function game_start_12
execute @e[tag=map,scores={set_max_players=11,joined_players=9..,start_count=0},tag=start_count] ~~~ function game_start_11
execute @e[tag=map,scores={set_max_players=10,joined_players=8..,start_count=0},tag=start_count] ~~~ function game_start_10
execute @e[tag=map,scores={set_max_players=9,joined_players=7..,start_count=0},tag=start_count] ~~~ function game_start_9
execute @e[tag=map,scores={set_max_players=8,joined_players=6..,start_count=0},tag=start_count] ~~~ function game_start_8
execute @e[tag=map,scores={set_max_players=7,joined_players=5..,start_count=0},tag=start_count] ~~~ function game_start_7
execute @e[tag=map,scores={set_max_players=6,joined_players=4..,start_count=0},tag=start_count] ~~~ function game_start_6
execute @e[tag=map,scores={set_max_players=5,joined_players=3..,start_count=0},tag=start_count] ~~~ function game_start_5
execute @e[tag=map,scores={set_max_players=4,joined_players=2..,start_count=0},tag=start_count] ~~~ function game_start_4

# title_light count & display
scoreboard players add @e[tag=system,scores={sys_title_light=..151}] sys_title_light 1
execute @e[tag=system,scores={sys_title_light=0..100}] ~~~ scoreboard players set @e[tag=system] title_light 0
execute @e[tag=system,scores={sys_title_light=101..103}] ~~~ scoreboard players set @e[tag=system] title_light 1
execute @e[tag=system,scores={sys_title_light=104..106}] ~~~ scoreboard players set @e[tag=system] title_light 2
execute @e[tag=system,scores={sys_title_light=107..109}] ~~~ scoreboard players set @e[tag=system] title_light 3
execute @e[tag=system,scores={sys_title_light=110..112}] ~~~ scoreboard players set @e[tag=system] title_light 4
execute @e[tag=system,scores={sys_title_light=113..115}] ~~~ scoreboard players set @e[tag=system] title_light 5
execute @e[tag=system,scores={sys_title_light=116..118}] ~~~ scoreboard players set @e[tag=system] title_light 6
execute @e[tag=system,scores={sys_title_light=119..121}] ~~~ scoreboard players set @e[tag=system] title_light 7
execute @e[tag=system,scores={sys_title_light=122..141}] ~~~ scoreboard players set @e[tag=system] title_light 8
execute @e[tag=system,scores={sys_title_light=142..146}] ~~~ scoreboard players set @e[tag=system] title_light 9
execute @e[tag=system,scores={sys_title_light=147..151}] ~~~ scoreboard players set @e[tag=system] title_light 10
# wating 待機中
execute @e[tag=map,scores={set_max_players=16,joined_players=..13},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=15,joined_players=..12},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=14,joined_players=..11},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=13,joined_players=..10},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=12,joined_players=..9},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=11,joined_players=..8},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=10,joined_players=..7},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=9,joined_players=..6},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=8,joined_players=..5},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=7,joined_players=..4},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=6,joined_players=..3},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=5,joined_players=..2},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,scores={set_max_players=4,joined_players=..1},tag=!playing] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f待機中...\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,tag=!start_count,tag=!playing] ~~~ titleraw @a[tag=joined_game] actionbar {"rawtext":[{"text":"§e待機中..."}]}
# start count カウント中
execute @e[tag=map,tag=start_count] ~~~ titleraw @a[tag=joined_game,tag=!team_red,tag=!team_blue,tag=!team_green,tag=!team_yellow] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 §8m001Β\n\n§fマップ: §aTreenan\n§fプレイヤー数: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§f開始まであと §a"},{"score":{"name":"@e[tag=map]","objective":"start_count"}},{"text":" §f秒\n\nモード: §a4v4v4v4\n§fバージョン: §7v1.6\n\n§ewww.bеdwars.world"}]}
execute @e[tag=map,tag=start_count,scores={start_count=11..20}] ~~~ titleraw @a[tag=joined_game] actionbar {"rawtext":[{"text":"§eあと "},{"score":{"name":"@e[tag=map]","objective":"start_count"}},{"text":" 秒でゲームが開始します！"}]}
execute @e[tag=map,tag=start_count,scores={start_count=6..10}] ~~~ titleraw @a[tag=joined_game] actionbar {"rawtext":[{"text":"§eあと §6"},{"score":{"name":"@e[tag=map]","objective":"start_count"}},{"text":" §e秒でゲームが開始します！"}]}
execute @e[tag=map,tag=start_count,scores={start_count=1..5}] ~~~ titleraw @a[tag=joined_game] actionbar {"rawtext":[{"text":"§eあと §c"},{"score":{"name":"@e[tag=map]","objective":"start_count"}},{"text":" §e秒でゲームが開始します！"}]}
# playing プレイ中
# team_red
titleraw @a[tag=joined_game,tag=team_red] title {"rawtext":[{"text":"  "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 m001Β\n\n§r"},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:upgrade_time_"},{"score":{"name":"@e[tag=map]","objective":"upgrade_time"}}]}}]}},{"score":{"name":"@e[tag=map]","objective":"game_count_m"}},{"text":":"},{"score":{"name":"@e[tag=map]","objective":"game_count_10s"}},{"score":{"name":"@e[tag=map]","objective":"game_count_s"}},{"text":"\n"},{"text":"\n§cR §r赤色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_red]","objective":"team_status"}}]}}]}},{"text":" §7自分"},{"text":"\n§9B §r青色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_blue]","objective":"team_status"}}]}}]}},{"text":"\n§aG §r緑色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_green]","objective":"team_status"}}]}}]}},{"text":"\n§eY §r黄色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_yellow]","objective":"team_status"}}]}}]}},{"text":"\n\n§rベッド破壊数: §a"},{"score":{"name":"*","objective":"beddestroy"}},{"text":"\n"},{"text":"\n§ewww.bеdwars.world"}]}
# team_blue
titleraw @a[tag=joined_game,tag=team_blue] title {"rawtext":[{"text":"  "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 m001Β\n\n§r"},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:upgrade_time_"},{"score":{"name":"@e[tag=map]","objective":"upgrade_time"}}]}}]}},{"score":{"name":"@e[tag=map]","objective":"game_count_m"}},{"text":":"},{"score":{"name":"@e[tag=map]","objective":"game_count_10s"}},{"score":{"name":"@e[tag=map]","objective":"game_count_s"}},{"text":"\n"},{"text":"\n§cR §r赤色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_red]","objective":"team_status"}}]}}]}},{"text":"\n§9B §r青色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_blue]","objective":"team_status"}}]}}]}},{"text":" §7自分"},{"text":"\n§aG §r緑色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_green]","objective":"team_status"}}]}}]}},{"text":"\n§eY §r黄色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_yellow]","objective":"team_status"}}]}}]}},{"text":"\n\n§rベッド破壊数: §a"},{"score":{"name":"*","objective":"beddestroy"}},{"text":"\n"},{"text":"\n§ewww.bеdwars.world"}]}
# team_green
titleraw @a[tag=joined_game,tag=team_green] title {"rawtext":[{"text":"  "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 m001Β\n\n§r"},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:upgrade_time_"},{"score":{"name":"@e[tag=map]","objective":"upgrade_time"}}]}}]}},{"score":{"name":"@e[tag=map]","objective":"game_count_m"}},{"text":":"},{"score":{"name":"@e[tag=map]","objective":"game_count_10s"}},{"score":{"name":"@e[tag=map]","objective":"game_count_s"}},{"text":"\n"},{"text":"\n§cR §r赤色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_red]","objective":"team_status"}}]}}]}},{"text":"\n§9B §r青色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_blue]","objective":"team_status"}}]}}]}},{"text":"\n§aG §r緑色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_green]","objective":"team_status"}}]}}]}},{"text":" §7自分"},{"text":"\n§eY §r黄色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_yellow]","objective":"team_status"}}]}}]}},{"text":"\n\n§rベッド破壊数: §a"},{"score":{"name":"*","objective":"beddestroy"}},{"text":"\n"},{"text":"\n§ewww.bеdwars.world"}]}
# team_yellow
titleraw @a[tag=joined_game,tag=team_yellow] title {"rawtext":[{"text":"  "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n§r§708/07/21 m001Β\n\n§r"},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:upgrade_time_"},{"score":{"name":"@e[tag=map]","objective":"upgrade_time"}}]}}]}},{"score":{"name":"@e[tag=map]","objective":"game_count_m"}},{"text":":"},{"score":{"name":"@e[tag=map]","objective":"game_count_10s"}},{"score":{"name":"@e[tag=map]","objective":"game_count_s"}},{"text":"\n"},{"text":"\n§cR §r赤色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_red]","objective":"team_status"}}]}}]}},{"text":"\n§9B §r青色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_blue]","objective":"team_status"}}]}}]}},{"text":"\n§aG §r緑色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_green]","objective":"team_status"}}]}}]}},{"text":"\n§eY §r黄色: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:team_status_"},{"score":{"name":"@e[tag=map_yellow]","objective":"team_status"}}]}}]}},{"text":" §7自分"},{"text":"\n\n§rベッド破壊数: §a"},{"score":{"name":"*","objective":"beddestroy"}},{"text":"\n"},{"text":"\n§ewww.bеdwars.world"}]}
# team_lobby
execute @e[tag=!start_count,tag=map] ~~~ titleraw @a[tag=team_lobby] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n\n§rPlаyers ========\nWοrld: §a"},{"score":{"name":"@e[tag=system]","objective":"world_players"}},{"text":"\n§rJοined: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§rStаtus =========\nGame: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:game_status_"},{"score":{"name":"@e[tag=system]","objective":"game_status"}}]}}]}},{"text":"\n\n§rCreаtor ========\nOwnеr: §axMarKun"},{"text":"\n\n§ewww.bеdwars.world"}]}
execute @e[tag=!playing,tag=start_count,tag=map] ~~~ titleraw @a[tag=team_lobby] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n\n§rPlаyers ========\nWοrld: §a"},{"score":{"name":"@e[tag=system]","objective":"world_players"}},{"text":"\n§rJοined: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§rStаtus =========\nGame: §eCοunting..."},{"text":"\n§rStаrting in §a"},{"score":{"name":"@e[tag=map]","objective":"start_count"}},{"text":"s\n\n§rCreаtor ========\nOwnеr: §axMarKun"},{"text":"\n\n§ewww.bеdwars.world"}]}
execute @e[tag=playing,tag=start_count,tag=map] ~~~ titleraw @a[tag=team_lobby] title {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"\n\n§rPlаyers ========\nWοrld: §a"},{"score":{"name":"@e[tag=system]","objective":"world_players"}},{"text":"\n§rJοined: §a"},{"score":{"name":"@e[tag=map]","objective":"joined_players"}},{"text":"/"},{"score":{"name":"@e[tag=map]","objective":"set_max_players"}},{"text":"\n\n§rStаtus =========\nGame: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:game_status_"},{"score":{"name":"@e[tag=system]","objective":"game_status"}}]}}]}},{"text":"\n\n§rCreаtor ========\nOwnеr: §axMarKun"},{"text":"\n\n§ewww.bеdwars.world"}]}
titleraw @a[tag=team_lobby] actionbar {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:title_light_"},{"score":{"name":"@e[tag=system]","objective":"title_light"}}]}}]}},{"text":"  "}]}
# trap
execute @e[tag=map_red,tag=!bed_destroy] ~~~ titleraw @a[tag=team_red,tag=!no_trap_display,tag=!spectator,tag=!mini_spectator,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§eTrаp1: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap1"}}]}}]}},{"text":"  §eTrаp2: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap2"}}]}}]}},{"text":"  §eTrаp3: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap3"}}]}}]}}]}
execute @e[tag=map_blue,tag=!bed_destroy] ~~~ titleraw @a[tag=team_blue,tag=!no_trap_display,tag=!spectator,tag=!mini_spectator,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§eTrаp1: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_blue]","objective":"trap1"}}]}}]}},{"text":"  §eTrаp2: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_blue]","objective":"trap2"}}]}}]}},{"text":"  §eTrаp3: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_blue]","objective":"trap3"}}]}}]}}]}
execute @e[tag=map_green,tag=!bed_destroy] ~~~ titleraw @a[tag=team_green,tag=!no_trap_display,tag=!spectator,tag=!mini_spectator,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§eTrаp1: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_green]","objective":"trap1"}}]}}]}},{"text":"  §eTrаp2: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_green]","objective":"trap2"}}]}}]}},{"text":"  §eTrаp3: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_green]","objective":"trap3"}}]}}]}}]}
execute @e[tag=map_yellow,tag=!bed_destroy] ~~~ titleraw @a[tag=team_yellow,tag=!no_trap_display,tag=!spectator,tag=!mini_spectator,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§eTrаp1: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_yellow]","objective":"trap1"}}]}}]}},{"text":"  §eTrаp2: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_yellow]","objective":"trap2"}}]}}]}},{"text":"  §eTrаp3: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:actionbar_trap_"},{"score":{"name":"@e[tag=map_yellow]","objective":"trap3"}}]}}]}}]}

scoreboard players set @e[tag=system,scores={sys_title_light=152}] sys_title_light 0

# playing game #
# default armor (chest & head)
replaceitem entity @a[tag=team_red,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.head 0 bw:lah_red 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_red,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.chest 0 bw:lac_red 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_blue,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.head 0 bw:lah_blue 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_blue,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.chest 0 bw:lac_blue 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_green,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.head 0 bw:lah_green 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_green,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.chest 0 bw:lac_green 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_yellow,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.head 0 bw:lah_yellow 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=team_yellow,tag=!spectator,tag=!mini_spectator,tag=!invisibility,tag=!tp_lobby] slot.armor.chest 0 bw:lac_yellow 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
# armor (leggings & boots)
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_red,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 bw:lal_red 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_red,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 bw:lab_red 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_blue,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 bw:lal_blue 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_blue,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 bw:lab_blue 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_green,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 bw:lal_green 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_green,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 bw:lab_green 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_yellow,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 bw:lal_yellow 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,tag=team_yellow,scores={armor=0},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 bw:lab_yellow 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=1},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 chainmail_leggings 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=1},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 chainmail_boots 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=2},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 iron_leggings 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=2},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 iron_boots 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=3},tag=!invisibility,tag=!tp_lobby] slot.armor.legs 0 diamond_leggings 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=!spectator,tag=!mini_spectator,scores={armor=3},tag=!invisibility,tag=!tp_lobby] slot.armor.feet 0 diamond_boots 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}

# game_count
scoreboard players remove @e[tag=map,scores={sys_game_count=1..}] sys_game_count 1
scoreboard players remove @e[tag=map,scores={sys_game_count=0,game_count_s=0..}] game_count_s 1
execute @e[tag=map,scores={sys_game_count=0,game_count_s=-1,game_count_10s=0,game_count_m=1..}] ~~~ tag @e[tag=map] add game_count_m
scoreboard players set @e[tag=map,tag=game_count_m] game_count_10s 5
scoreboard players set @e[tag=map,tag=game_count_m] game_count_s 9
scoreboard players add @e[tag=map,tag=game_count_m] suddon_death 1
scoreboard players remove @e[tag=map,tag=game_count_m] game_count_m 1
scoreboard players set @e[tag=map,tag=game_count_m] sys_game_count 20
tag @e[tag=map,tag=game_count_m] remove game_count_m
execute @e[tag=map,scores={sys_game_count=0,game_count_s=-1,game_count_10s=1..}] ~~~ tag @e[tag=map] add game_count_10s
scoreboard players remove @e[tag=map,tag=game_count_10s] game_count_10s 1
scoreboard players set @e[tag=map,tag=game_count_10s] game_count_s 9
scoreboard players set @e[tag=map,tag=game_count_10s] sys_game_count 20
tag @e[tag=map,tag=game_count_10s] remove game_count_10s
execute @e[tag=map,scores={sys_game_count=0,game_count_s=-1,game_count_10s=0,game_count_m=0}] ~~~ tag @e[tag=map] add game_count_end
scoreboard players add @e[tag=map,tag=game_count_end] upgrade_time 1
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] diamond_tier 2
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] diamond_time 460
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tp @e[type=bw:tier_diamond] -350 5 0
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅡ" 31 71.6 29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅡ" -29 71.6 31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅡ" -31 71.6 -29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅡ" 29 71.6 -31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond 31 68 29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond -29 68 31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond -31 68 -29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=1}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond 29 68 -31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] emerald_tier 2
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] emerald_time 800
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tp @e[type=bw:tier_emerald] -350 5 0
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_emerald "§eティア §cⅡ" 8 75.6 12
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_emerald "§eティア §cⅡ" -7 75.6 -11
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_emerald -7 72 -11
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=2}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_emerald 8 72 12
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] diamond_tier 3
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] diamond_time 240
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tp @e[type=bw:tier_diamond] -350 5 0
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅢ" 31 71.6 29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅢ" -29 71.6 31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅢ" -31 71.6 -29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_diamond "§eティア §cⅢ" 29 71.6 -31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond 31 68 29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond -29 68 31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond -31 68 -29
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=3}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_diamond 29 68 -31
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] emerald_tier 3
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] emerald_time 540
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tp @e[type=bw:tier_emerald] -350 5 0
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_emerald "§eティア §cⅢ" 8 75.6 12
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ summon bw:tier_emerald "§eティア §cⅢ" -7 75.6 -11
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_emerald -7 72 -11
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ structure load spawn_emerald 8 72 12
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 66 67 0 67 67 0 air 0 replace bw:bed_top_4
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 66 67 0 67 67 0 air 0 replace bw:bed_bottom_4
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 0 67 -66 0 67 -67 air 0 replace bw:bed_top_1
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 0 67 -66 0 67 -67 air 0 replace bw:bed_bottom_1
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill -66 67 0 -67 67 0 air 0 replace bw:bed_top_2
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill -66 67 0 -67 67 0 air 0 replace bw:bed_bottom_2
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 0 67 66 0 67 67 air 0 replace bw:bed_top_3
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ fill 0 67 66 0 67 67 air 0 replace bw:bed_bottom_3
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tag @e[tag=map_team] add bed_destroy
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tag @a[tag=joined_game,tag=!spectator] add last_life
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"§l§cすべてのベッドが破壊されました！"}]}
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ playsound mob.enderdragon.growl @a[tag=joined_game]
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ titleraw @a[tag=!spectator,tag=!mini_spectator,tag=joined_game,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§l§cベッドが破壊されたためリスポーンできません！"}]}
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=6}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"§l§cサドンデスタイムに入りました！"}]}
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=6}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ playsound mob.enderdragon.growl @a[tag=joined_game]
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=6}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] suddon_death 1
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=6}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ scoreboard players set @e[tag=map] summon_tnt_time 200
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=..4}] ~~~ execute @e[tag=map,tag=game_count_end] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:upgrade_announce_"},{"score":{"name":"@e[tag=map]","objective":"upgrade_time"}}]}}]}},{"text":" §eにアップグレードしました。"}]}
scoreboard players set @e[tag=map,tag=game_count_end] game_count_10s 0
scoreboard players set @e[tag=map,tag=game_count_end] game_count_s 0
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=..4}] ~~~ scoreboard players set @e[tag=map,tag=game_count_end] game_count_m 6
execute @e[tag=map,tag=game_count_end,scores={upgrade_time=5..}] ~~~ scoreboard players set @e[tag=map,tag=game_count_end] game_count_m 10
scoreboard players set @e[tag=map,tag=game_count_end] sys_game_count 20
tag @e[tag=map,tag=game_count_end] remove game_count_end
scoreboard players set @e[tag=map,scores={sys_game_count=0}] sys_game_count 20

# suddon_death
scoreboard players remove @e[tag=map,scores={summon_tnt_time=1..}] summon_tnt_time 1
execute @e[tag=map,scores={summon_tnt_time=0}] ~~~ execute @a[tag=joined_game,tag=!mini_spectator,tag=!spectator] ~~~ summon tnt ~~~
execute @e[tag=map,scores={summon_tnt_time=0}] ~~~ playsound note.pling @a[tag=joined_game,tag=!mini_spectator,tag=!spectator]
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=1}] summon_tnt_time 200
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=2}] summon_tnt_time 200
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=3}] summon_tnt_time 180
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=4}] summon_tnt_time 180
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=5}] summon_tnt_time 160
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=6}] summon_tnt_time 160
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=7}] summon_tnt_time 140
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=8}] summon_tnt_time 140
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=9}] summon_tnt_time 120
scoreboard players set @e[tag=map,scores={summon_tnt_time=0,suddon_death=10..}] summon_tnt_time 100

# emerald_time
execute @e[tag=map,scores={emerald_time=20}] ~~~ function emerald_1
execute @e[tag=map,scores={emerald_time=40}] ~~~ function emerald_2
execute @e[tag=map,scores={emerald_time=60}] ~~~ function emerald_3
execute @e[tag=map,scores={emerald_time=80}] ~~~ function emerald_4
execute @e[tag=map,scores={emerald_time=100}] ~~~ function emerald_5
execute @e[tag=map,scores={emerald_time=120}] ~~~ function emerald_6
execute @e[tag=map,scores={emerald_time=140}] ~~~ function emerald_7
execute @e[tag=map,scores={emerald_time=160}] ~~~ function emerald_8
execute @e[tag=map,scores={emerald_time=180}] ~~~ function emerald_9
execute @e[tag=map,scores={emerald_time=200}] ~~~ function emerald_10
execute @e[tag=map,scores={emerald_time=220}] ~~~ function emerald_11
execute @e[tag=map,scores={emerald_time=240}] ~~~ function emerald_12
execute @e[tag=map,scores={emerald_time=260}] ~~~ function emerald_13
execute @e[tag=map,scores={emerald_time=280}] ~~~ function emerald_14
execute @e[tag=map,scores={emerald_time=300}] ~~~ function emerald_15
execute @e[tag=map,scores={emerald_time=320}] ~~~ function emerald_16
execute @e[tag=map,scores={emerald_time=340}] ~~~ function emerald_17
execute @e[tag=map,scores={emerald_time=360}] ~~~ function emerald_18
execute @e[tag=map,scores={emerald_time=380}] ~~~ function emerald_19
execute @e[tag=map,scores={emerald_time=400}] ~~~ function emerald_20
execute @e[tag=map,scores={emerald_time=420}] ~~~ function emerald_21
execute @e[tag=map,scores={emerald_time=440}] ~~~ function emerald_22
execute @e[tag=map,scores={emerald_time=460}] ~~~ function emerald_23
execute @e[tag=map,scores={emerald_time=480}] ~~~ function emerald_24
execute @e[tag=map,scores={emerald_time=500}] ~~~ function emerald_25
execute @e[tag=map,scores={emerald_time=520}] ~~~ function emerald_26
execute @e[tag=map,scores={emerald_time=540}] ~~~ function emerald_27
execute @e[tag=map,scores={emerald_time=560}] ~~~ function emerald_28
execute @e[tag=map,scores={emerald_time=580}] ~~~ function emerald_29
execute @e[tag=map,scores={emerald_time=600}] ~~~ function emerald_30
execute @e[tag=map,scores={emerald_time=620}] ~~~ function emerald_31
execute @e[tag=map,scores={emerald_time=640}] ~~~ function emerald_32
execute @e[tag=map,scores={emerald_time=660}] ~~~ function emerald_33
execute @e[tag=map,scores={emerald_time=680}] ~~~ function emerald_34
execute @e[tag=map,scores={emerald_time=700}] ~~~ function emerald_35
execute @e[tag=map,scores={emerald_time=720}] ~~~ function emerald_36
execute @e[tag=map,scores={emerald_time=740}] ~~~ function emerald_37
execute @e[tag=map,scores={emerald_time=760}] ~~~ function emerald_38
execute @e[tag=map,scores={emerald_time=780}] ~~~ function emerald_39
execute @e[tag=map,scores={emerald_time=800}] ~~~ function emerald_40
execute @e[tag=map,scores={emerald_time=820}] ~~~ function emerald_41
execute @e[tag=map,scores={emerald_time=840}] ~~~ function emerald_42
execute @e[tag=map,scores={emerald_time=860}] ~~~ function emerald_43
execute @e[tag=map,scores={emerald_time=880}] ~~~ function emerald_44
execute @e[tag=map,scores={emerald_time=900}] ~~~ function emerald_45
execute @e[tag=map,scores={emerald_time=920}] ~~~ function emerald_46
execute @e[tag=map,scores={emerald_time=940}] ~~~ function emerald_47
execute @e[tag=map,scores={emerald_time=960}] ~~~ function emerald_48
execute @e[tag=map,scores={emerald_time=980}] ~~~ function emerald_49
execute @e[tag=map,scores={emerald_time=1000}] ~~~ function emerald_50
execute @e[tag=map,scores={emerald_time=1020}] ~~~ function emerald_51
execute @e[tag=map,scores={emerald_time=1040}] ~~~ function emerald_52
execute @e[tag=map,scores={emerald_time=1060}] ~~~ function emerald_53
execute @e[tag=map,scores={emerald_time=1080}] ~~~ function emerald_54
execute @e[tag=map,scores={emerald_time=1100}] ~~~ function emerald_55
scoreboard players remove @e[tag=map,scores={emerald_time=1..}] emerald_time 1
execute @e[tag=map,scores={emerald_time=0}] ~~~ structure load spawn_emerald -7 72 -11
execute @e[tag=map,scores={emerald_time=0}] ~~~ structure load spawn_emerald 8 72 12
execute @e[tag=map,scores={emerald_time=0,emerald_tier=1}] ~~~ scoreboard players set @e[tag=map] emerald_time 1100
execute @e[tag=map,scores={emerald_time=0,emerald_tier=2}] ~~~ scoreboard players set @e[tag=map] emerald_time 800
execute @e[tag=map,scores={emerald_time=0,emerald_tier=3}] ~~~ scoreboard players set @e[tag=map] emerald_time 540

# diamond_time
execute @e[tag=map,scores={diamond_time=20}] ~~~ function diamond_1
execute @e[tag=map,scores={diamond_time=40}] ~~~ function diamond_2
execute @e[tag=map,scores={diamond_time=60}] ~~~ function diamond_3
execute @e[tag=map,scores={diamond_time=80}] ~~~ function diamond_4
execute @e[tag=map,scores={diamond_time=100}] ~~~ function diamond_5
execute @e[tag=map,scores={diamond_time=120}] ~~~ function diamond_6
execute @e[tag=map,scores={diamond_time=140}] ~~~ function diamond_7
execute @e[tag=map,scores={diamond_time=160}] ~~~ function diamond_8
execute @e[tag=map,scores={diamond_time=180}] ~~~ function diamond_9
execute @e[tag=map,scores={diamond_time=200}] ~~~ function diamond_10
execute @e[tag=map,scores={diamond_time=220}] ~~~ function diamond_11
execute @e[tag=map,scores={diamond_time=240}] ~~~ function diamond_12
execute @e[tag=map,scores={diamond_time=260}] ~~~ function diamond_13
execute @e[tag=map,scores={diamond_time=280}] ~~~ function diamond_14
execute @e[tag=map,scores={diamond_time=300}] ~~~ function diamond_15
execute @e[tag=map,scores={diamond_time=320}] ~~~ function diamond_16
execute @e[tag=map,scores={diamond_time=340}] ~~~ function diamond_17
execute @e[tag=map,scores={diamond_time=360}] ~~~ function diamond_18
execute @e[tag=map,scores={diamond_time=380}] ~~~ function diamond_19
execute @e[tag=map,scores={diamond_time=400}] ~~~ function diamond_20
execute @e[tag=map,scores={diamond_time=420}] ~~~ function diamond_21
execute @e[tag=map,scores={diamond_time=440}] ~~~ function diamond_22
execute @e[tag=map,scores={diamond_time=460}] ~~~ function diamond_23
execute @e[tag=map,scores={diamond_time=480}] ~~~ function diamond_24
execute @e[tag=map,scores={diamond_time=500}] ~~~ function diamond_25
execute @e[tag=map,scores={diamond_time=520}] ~~~ function diamond_26
execute @e[tag=map,scores={diamond_time=540}] ~~~ function diamond_27
execute @e[tag=map,scores={diamond_time=560}] ~~~ function diamond_28
execute @e[tag=map,scores={diamond_time=580}] ~~~ function diamond_29
execute @e[tag=map,scores={diamond_time=600}] ~~~ function diamond_30
scoreboard players remove @e[tag=map,scores={diamond_time=1..}] diamond_time 1
execute @e[tag=map,scores={diamond_time=0}] ~~~ structure load spawn_diamond 31 68 29
execute @e[tag=map,scores={diamond_time=0}] ~~~ structure load spawn_diamond -29 68 31
execute @e[tag=map,scores={diamond_time=0}] ~~~ structure load spawn_diamond -31 68 -29
execute @e[tag=map,scores={diamond_time=0}] ~~~ structure load spawn_diamond 29 68 -31
execute @e[tag=map,scores={diamond_time=0,diamond_tier=1}] ~~~ scoreboard players set @e[tag=map] diamond_time 600
execute @e[tag=map,scores={diamond_time=0,diamond_tier=2}] ~~~ scoreboard players set @e[tag=map] diamond_time 460
execute @e[tag=map,scores={diamond_time=0,diamond_tier=3}] ~~~ scoreboard players set @e[tag=map] diamond_time 240

# bed_destroy
execute @e[tag=map_red,tag=bed_destroy] ~~~ fill 66 67 0 67 67 0 air 0 replace bw:bed_top_4
execute @e[tag=map_red,tag=bed_destroy] ~~~ fill 66 67 0 67 67 0 air 0 replace bw:bed_bottom_4
execute @e[tag=map_yellow,tag=bed_destroy] ~~~ fill 0 67 -66 0 67 -67 air 0 replace bw:bed_top_1
execute @e[tag=map_yellow,tag=bed_destroy] ~~~ fill 0 67 -66 0 67 -67 air 0 replace bw:bed_bottom_1
execute @e[tag=map_green,tag=bed_destroy] ~~~ fill -66 67 0 -67 67 0 air 0 replace bw:bed_top_2
execute @e[tag=map_green,tag=bed_destroy] ~~~ fill -66 67 0 -67 67 0 air 0 replace bw:bed_bottom_2
execute @e[tag=map_blue,tag=bed_destroy] ~~~ fill 0 67 66 0 67 67 air 0 replace bw:bed_top_3
execute @e[tag=map_blue,tag=bed_destroy] ~~~ fill 0 67 66 0 67 67 air 0 replace bw:bed_bottom_3

# game_status
execute @e[tag=map,scores={joined_players=..13},tag=!playing] ~~~ scoreboard players set @e[tag=system] game_status 0
execute @e[tag=map,scores={joined_players=14..},tag=!playing] ~~~ scoreboard players set @e[tag=system] game_status 1
execute @e[tag=map,tag=playing,tag=!map_reset] ~~~ scoreboard players set @e[tag=system] game_status 3
execute @e[tag=map,tag=map_reset] ~~~ scoreboard players set @e[tag=system] game_status 4

# team_status
execute @e[tag=map_red,tag=bed_destroy,scores={alive_players=4}] ~~~ scoreboard players set @e[tag=map_red] team_status 1
execute @e[tag=map_red,tag=bed_destroy,scores={alive_players=3}] ~~~ scoreboard players set @e[tag=map_red] team_status 2
execute @e[tag=map_red,tag=bed_destroy,scores={alive_players=2}] ~~~ scoreboard players set @e[tag=map_red] team_status 3
execute @e[tag=map_red,tag=bed_destroy,scores={alive_players=1}] ~~~ scoreboard players set @e[tag=map_red] team_status 4
execute @e[tag=map_red,scores={alive_players=0}] ~~~ scoreboard players set @e[tag=map_red] team_status 5
execute @e[tag=map_blue,tag=bed_destroy,scores={alive_players=4}] ~~~ scoreboard players set @e[tag=map_blue] team_status 1
execute @e[tag=map_blue,tag=bed_destroy,scores={alive_players=3}] ~~~ scoreboard players set @e[tag=map_blue] team_status 2
execute @e[tag=map_blue,tag=bed_destroy,scores={alive_players=2}] ~~~ scoreboard players set @e[tag=map_blue] team_status 3
execute @e[tag=map_blue,tag=bed_destroy,scores={alive_players=1}] ~~~ scoreboard players set @e[tag=map_blue] team_status 4
execute @e[tag=map_blue,scores={alive_players=0}] ~~~ scoreboard players set @e[tag=map_blue] team_status 5
execute @e[tag=map_green,tag=bed_destroy,scores={alive_players=4}] ~~~ scoreboard players set @e[tag=map_green] team_status 1
execute @e[tag=map_green,tag=bed_destroy,scores={alive_players=3}] ~~~ scoreboard players set @e[tag=map_green] team_status 2
execute @e[tag=map_green,tag=bed_destroy,scores={alive_players=2}] ~~~ scoreboard players set @e[tag=map_green] team_status 3
execute @e[tag=map_green,tag=bed_destroy,scores={alive_players=1}] ~~~ scoreboard players set @e[tag=map_green] team_status 4
execute @e[tag=map_green,scores={alive_players=0}] ~~~ scoreboard players set @e[tag=map_green] team_status 5
execute @e[tag=map_yellow,tag=bed_destroy,scores={alive_players=4}] ~~~ scoreboard players set @e[tag=map_yellow] team_status 1
execute @e[tag=map_yellow,tag=bed_destroy,scores={alive_players=3}] ~~~ scoreboard players set @e[tag=map_yellow] team_status 2
execute @e[tag=map_yellow,tag=bed_destroy,scores={alive_players=2}] ~~~ scoreboard players set @e[tag=map_yellow] team_status 3
execute @e[tag=map_yellow,tag=bed_destroy,scores={alive_players=1}] ~~~ scoreboard players set @e[tag=map_yellow] team_status 4
execute @e[tag=map_yellow,scores={alive_players=0}] ~~~ scoreboard players set @e[tag=map_yellow] team_status 5

# death_cool_down
scoreboard players remove @a[scores={sys_death_time=0,death_time=1..}] death_time 1
scoreboard players set @a[scores={sys_death_time=0,death_time=1..}] sys_death_time 20
titleraw @a[scores={death_time=1..}] actionbar {"rawtext":[{"text":"§c死んでしまった！\n§c"},{"score":{"name":"*","objective":"death_time"}},{"text":" §e秒後にリスポーンします！"}]}
tellraw @a[scores={sys_death_time=20}] {"rawtext":[{"text":"§c"},{"score":{"name":"*","objective":"death_time"}},{"text":" §e秒後にリスポーンします！"}]}
scoreboard players remove @a[scores={sys_death_time=1..}] sys_death_time 1
clear @a[scores={sys_death_time=0,death_time=0}]
gamemode s @a[scores={sys_death_time=0,death_time=0}]
replaceitem entity @a[scores={sys_death_time=0,death_time=0}] slot.hotbar 0 wooden_sword 1 0 {"keep_on_death":{}}
replaceitem entity @a[scores={sys_death_time=0,death_time=0}] slot.hotbar 8 bw:team_upgrade_list 1 0 {"keep_on_death":{}}
tp @a[scores={sys_death_time=0,death_time=0},tag=team_red] 78 68 0 90 0
tp @a[scores={sys_death_time=0,death_time=0},tag=team_blue] 0 68 78 180 0
tp @a[scores={sys_death_time=0,death_time=0},tag=team_green] -78 68 0 270 0
tp @a[scores={sys_death_time=0,death_time=0},tag=team_yellow] 0 68 -78 0 0
execute @e[tag=map_red,tag=bed_destroy] ~~~ titleraw @a[scores={sys_death_time=0,death_time=0},tag=team_red,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§l§cベッドが破壊されたためリスポーンできません！"}]}
execute @e[tag=map_blue,tag=bed_destroy] ~~~ titleraw @a[scores={sys_death_time=0,death_time=0},tag=team_blue,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§l§cベッドが破壊されたためリスポーンできません！"}]}
execute @e[tag=map_green,tag=bed_destroy] ~~~ titleraw @a[scores={sys_death_time=0,death_time=0},tag=team_green,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§l§cベッドが破壊されたためリスポーンできません！"}]}
execute @e[tag=map_yellow,tag=bed_destroy] ~~~ titleraw @a[scores={sys_death_time=0,death_time=0},tag=team_yellow,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§l§cベッドが破壊されたためリスポーンできません！"}]}
tag @a[scores={sys_death_time=0,death_time=0}] remove mini_spectator
effect @a[scores={sys_death_time=0,death_time=0}] clear
effect @a[scores={sys_death_time=0,death_time=0}] resistance 3 255 false
scoreboard players reset @a[scores={sys_death_time=0,death_time=0}] sys_death_time
scoreboard players reset @a[scores={death_time=0}] death_time

# spectator
effect @a[tag=spectator] invisibility 1 0 true
titleraw @a[tag=spectator,tag=!tp_lobby] actionbar {"rawtext":[{"text":"§e観戦中"}]}
effect @a[tag=spectator] weakness 1 255 true

# mini_spectator
effect @a[tag=mini_spectator] invisibility 1 0 true
effect @a[tag=mini_spectator] weakness 1 255 true

# team_upgrade effect
effect @a[tag=sharpness_sword] strength 1 0 true
effect @a[scores={reinforced_armor=1}] resistance 1 0 true
effect @a[scores={reinforced_armor=2}] resistance 1 1 true
effect @a[scores={reinforced_armor=3}] resistance 1 2 true
effect @a[scores={reinforced_armor=4}] resistance 1 3 true
effect @a[scores={maniac_miner=1}] haste 1 0 true
effect @a[scores={maniac_miner=2}] haste 1 1 true

execute @e[type=ender_pearl] ~~~ tellraw @a {"rawtext":[{"text":"§b===== チームアップグレード =====\n§eダメージ増加の剣: §a解放済み\n§e防具強化: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_reinforced_armor_"},{"score":{"name":"*","objective":"reinforced_armor"}}]}}]}},{"text":"\n§e採掘狂: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_maniac_miner_"},{"score":{"name":"*","objective":"maniac_miner"}}]}}]}},{"text":"\n§e鉄鍛造: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_forge_"},{"score":{"name":"*","objective":"forge"}}]}}]}},{"text":"\n§eヒールプール: §a解放済み"},{"text":"\n§eトラップ1: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap1"}}]}}]}},{"text":"\n§eトラップ2: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap2"}}]}}]}},{"text":"\n§eトラップ3: "},{"translate":"%%1","with":{"rawtext":[{"translate":"%%1%%2","with":{"rawtext":[{"text":"%bw:tul_trap_"},{"score":{"name":"@e[tag=map_red]","objective":"trap3"}}]}}]}},{"text":"\n§b============================"}]}
execute @e[type=ender_pearl] ~~~ kill @e[type=ender_pearl]


# invisibility
tag @a[scores={invisibility=1..}] add name_hidden
tag @a[scores={invisibility=1..}] add invisibility
effect @a[scores={invisibility=1..},tag=!tp_lobby] invisibility 1 0 true
scoreboard players remove @a[scores={invisibility=1..}] invisibility 1
replaceitem entity @a[tag=invisibility,tag=!tp_lobby] slot.armor.head 0 bw:lah_air 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,tag=!tp_lobby] slot.armor.chest 0 bw:lac_air 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=0},tag=!tp_lobby] slot.armor.legs 0 bw:lal_air 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=0},tag=!tp_lobby] slot.armor.feet 0 bw:lab_air 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=1},tag=!tp_lobby] slot.armor.legs 0 bw:inval_chainmail 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=1},tag=!tp_lobby] slot.armor.feet 0 bw:invab_chainmail 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=2},tag=!tp_lobby] slot.armor.legs 0 bw:inval_iron 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=2},tag=!tp_lobby] slot.armor.feet 0 bw:invab_iron 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=3},tag=!tp_lobby] slot.armor.legs 0 bw:inval_diamond 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
replaceitem entity @a[tag=invisibility,scores={armor=3},tag=!tp_lobby] slot.armor.feet 0 bw:invab_diamond 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
tag @a[scores={invisibility=0}] remove invisibility
tag @a[scores={invisibility=0}] remove name_hidden
scoreboard players reset @a[scores={invisibility=0}] invisibility

# other
clear @a[m=s] bucket

# already_trap
tag @a[scores={already_trap=1..}] add already_trap
scoreboard players remove @a[scores={already_trap=1..}] already_trap 1
tag @a[scores={already_trap=0}] remove already_trap
scoreboard players reset @a[scores={already_trap=0}] already_trap

# trap count
scoreboard players set @e[tag=map_team,scores={trap1=0}] trap_count 1
scoreboard players set @e[tag=map_team,scores={trap1=1..,trap2=0}] trap_count 2
scoreboard players set @e[tag=map_team,scores={trap1=1..,trap2=1..,trap3=0}] trap_count 3
scoreboard players set @e[tag=map_team,scores={trap1=1..,trap2=1..,trap3=1..}] trap_count 4

# trap alarm
execute @a[scores={alarm=1..}] ~~~ playsound note.pling @a[scores={alarm=1..}] ~~~ 0.5
scoreboard players remove @a[scores={alarm=1..}] alarm 1
scoreboard players reset @a[scores={alarm=0}] alarm

# dev_tool
execute @e[type=item,name="§aロビーにテレポート"] ~~~ replaceitem entity @p[tag=admin] slot.inventory 8 bw:dev_tp_lobby 1 0 {"keep_on_death":{}}
execute @e[type=item,name="§aロビーにテレポート"] ~~~ playsound random.click @p[tag=admin]
execute @e[type=item,name="§aロビーにテレポート"] ~~~ tp @p[tag=admin] -373 72 4
execute @e[type=item,name="§aロビーにテレポート"] ~~~ kill @e[type=item,name="§aロビーにテレポート"]
execute @e[type=item,name="§aマップにテレポート"] ~~~ replaceitem entity @p[tag=admin] slot.inventory 7 bw:dev_tp_map 1 0 {"keep_on_death":{}}
execute @e[type=item,name="§aマップにテレポート"] ~~~ playsound random.click @p[tag=admin]
execute @e[type=item,name="§aマップにテレポート"] ~~~ tp @p[tag=admin] 0 70 0
execute @e[type=item,name="§aマップにテレポート"] ~~~ kill @e[type=item,name="§aマップにテレポート"]

# kill other item
kill @e[type=item,name=石レンガ階段]
kill @e[type=item,name=ゾンビの頭]
kill @e[type=item,name=防具立て]
kill @e[type=item,name="クリーパー ヘッド"]
kill @e[type=item,name="チェスト"]
clear @a[m=s] chest
clear @a[m=s] skull
clear @a[m=s] stone_brick_stairs
clear @a[m=s] armor_stand

# game end
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_red,scores={alive_players=0}] ~~~ execute @e[tag=map_blue,scores={alive_players=0}] ~~~ execute @e[tag=map_green,scores={alive_players=0}] ~~~ function yellow_win
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_red,scores={alive_players=0}] ~~~ execute @e[tag=map_blue,scores={alive_players=0}] ~~~ execute @e[tag=map_yellow,scores={alive_players=0}] ~~~ function green_win
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_red,scores={alive_players=0}] ~~~ execute @e[tag=map_green,scores={alive_players=0}] ~~~ execute @e[tag=map_yellow,scores={alive_players=0}] ~~~ function blue_win
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_blue,scores={alive_players=0}] ~~~ execute @e[tag=map_green,scores={alive_players=0}] ~~~ execute @e[tag=map_yellow,scores={alive_players=0}] ~~~ function red_win
execute @e[tag=map,tag=!win_team_effect,scores={upgrade_time=6,game_count_m=0,game_count_10s=0,game_count_s=0}] ~~~ function game_over

# win_effect
execute @a[scores={win_effect=100}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=90}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=80}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=70}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=60}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=50}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=40}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=30}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=20}] ~~~ summon fireworks_rocket ~~~
execute @a[scores={win_effect=10}] ~~~ summon fireworks_rocket ~~~
scoreboard players remove @a[scores={win_effect=1..}] win_effect 1
scoreboard players reset @a[scores={win_effect=0}] win_effect

# reset map
scoreboard players set @e[tag=map,tag=map_reset] reset_map 0
execute @e[type=armor_stand,name=clean_map] ~~~ scoreboard players set @e[tag=map,tag=map_reset] reset_map 1
execute @e[type=armor_stand,name=clean_map_small] ~~~ scoreboard players set @e[tag=map,tag=map_reset] reset_map 1
execute @e[tag=map,tag=map_reset] ~~~ execute @e[type=armor_stand,name=clean_map] ~~~ fill ~~~5 ~200~-5~-5 air
execute @e[tag=map,tag=map_reset] ~~~ execute @e[type=armor_stand,name=clean_map_small] ~~~ fill ~~~ ~200~-5~-5 air
execute @e[tag=map,tag=map_reset] ~~~ kill @e[x=-100,y=148,z=100,dx=200,dy=-147,dz=-200,name=!clean_map,name=!clean_map_small]
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_red 60 57 -12
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_blue -14 57 60
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_green -87 57 -14
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_yellow -12 57 -87
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_diamond_rb 25 61 23
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_diamond_bg -41 61 25
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_diamond_gy -43 61 -41
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_diamond_yr 23 61 -43
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ structure load island_mid -21 51 -22
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_1
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_2
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_3
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_4
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_5
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_6
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_7
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_8
execute @e[tag=map,tag=map_reset,scores={reset_map=0}] ~~~ tickingarea remove reset_map_9
tag @e[tag=map,tag=map_reset,scores={reset_map=0}] remove map_reset

# tp_lobby
scoreboard players remove @a[scores={tp_lobby=1..}] tp_lobby 1
titleraw @a[scores={tp_lobby=100}] actionbar {"rawtext":[{"text":"§7あと 5 秒でロビーに戻ります"}]}
playsound random.click @a[scores={tp_lobby=100}]
titleraw @a[scores={tp_lobby=80}] actionbar {"rawtext":[{"text":"§7あと 4 秒でロビーに戻ります"}]}
playsound random.click @a[scores={tp_lobby=80}]
titleraw @a[scores={tp_lobby=60}] actionbar {"rawtext":[{"text":"§7あと 3 秒でロビーに戻ります"}]}
playsound random.click @a[scores={tp_lobby=60}]
titleraw @a[scores={tp_lobby=40}] actionbar {"rawtext":[{"text":"§7あと 2 秒でロビーに戻ります"}]}
playsound random.click @a[scores={tp_lobby=40}]
titleraw @a[scores={tp_lobby=20}] actionbar {"rawtext":[{"text":"§7あと 1 秒でロビーに戻ります"}]}
playsound random.click @a[scores={tp_lobby=20}]
execute @a[scores={tp_lobby=0}] ~~~ function game_end

# all no alive
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_red,scores={alive_players=0},tag=!all_no_alive] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"\n§l§fチームの脱落 > §r§c赤色チーム §cが脱落しました！\n "}]}
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_red,scores={alive_players=0},tag=!all_no_alive] ~~~ tag @e[tag=map_red] add all_no_alive
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_blue,scores={alive_players=0},tag=!all_no_alive] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"\n§l§fチームの脱落 > §r§9青色チーム §cが脱落しました！\n "}]}
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_blue,scores={alive_players=0},tag=!all_no_alive] ~~~ tag @e[tag=map_blue] add all_no_alive
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_green,scores={alive_players=0},tag=!all_no_alive] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"\n§l§fチームの脱落 > §r§a緑色チーム §cが脱落しました！\n "}]}
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_green,scores={alive_players=0},tag=!all_no_alive] ~~~ tag @e[tag=map_green] add all_no_alive
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_yellow,scores={alive_players=0},tag=!all_no_alive] ~~~ tellraw @a[tag=joined_game] {"rawtext":[{"text":"\n§l§fチームの脱落 > §r§e黄色チーム §cが脱落しました！\n "}]}
execute @e[tag=map,tag=!win_team_effect,tag=playing] ~~~ execute @e[tag=map_yellow,scores={alive_players=0},tag=!all_no_alive] ~~~ tag @e[tag=map_yellow] add all_no_alive

# start effect
execute @e[tag=map,scores={upgrade_time=0,game_count_m=5,game_count_10s=5,game_count_s=9}] ~~~ effect @a[tag=joined_game] regeneration 1 255 true
execute @e[tag=map,scores={upgrade_time=0,game_count_m=5,game_count_10s=5,game_count_s=8}] ~~~ effect @a[tag=joined_game] regeneration 1 255 true
execute @e[tag=map,scores={upgrade_time=0,game_count_m=5,game_count_10s=5,game_count_s=7}] ~~~ effect @a[tag=joined_game] regeneration 1 255 true

# display_players
execute @e[tag=map,scores={joined_players=0}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e0 人のプレイヤー",r=2] ~~~ function display_players_0
execute @e[tag=map,scores={joined_players=1}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e1 人のプレイヤー",r=2] ~~~ function display_players_1
execute @e[tag=map,scores={joined_players=2}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e2 人のプレイヤー",r=2] ~~~ function display_players_2
execute @e[tag=map,scores={joined_players=3}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e3 人のプレイヤー",r=2] ~~~ function display_players_3
execute @e[tag=map,scores={joined_players=4,set_max_players=5..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e4 人のプレイヤー",r=2] ~~~ function display_players_4
execute @e[tag=map,scores={joined_players=4,set_max_players=4}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=5,set_max_players=6..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e5 人のプレイヤー",r=2] ~~~ function display_players_5
execute @e[tag=map,scores={joined_players=5,set_max_players=5}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=6,set_max_players=7..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e6 人のプレイヤー",r=2] ~~~ function display_players_6
execute @e[tag=map,scores={joined_players=6,set_max_players=6}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=7,set_max_players=8..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e7 人のプレイヤー",r=2] ~~~ function display_players_7
execute @e[tag=map,scores={joined_players=7,set_max_players=7}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=8,set_max_players=9..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e8 人のプレイヤー",r=2] ~~~ function display_players_8
execute @e[tag=map,scores={joined_players=8,set_max_players=8}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=9,set_max_players=10..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e9 人のプレイヤー",r=2] ~~~ function display_players_9
execute @e[tag=map,scores={joined_players=9,set_max_players=9}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=10,set_max_players=11..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e10 人のプレイヤー",r=2] ~~~ function display_players_10
execute @e[tag=map,scores={joined_players=10,set_max_players=10}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=11,set_max_players=12..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e11 人のプレイヤー",r=2] ~~~ function display_players_11
execute @e[tag=map,scores={joined_players=11,set_max_players=11}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=12,set_max_players=13..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e12 人のプレイヤー",r=2] ~~~ function display_players_12
execute @e[tag=map,scores={joined_players=12,set_max_players=12}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=13,set_max_players=14..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e13 人のプレイヤー",r=2] ~~~ function display_players_13
execute @e[tag=map,scores={joined_players=13,set_max_players=13}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=14,set_max_players=15..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e14 人のプレイヤー",r=2] ~~~ function display_players_14
execute @e[tag=map,scores={joined_players=14,set_max_players=14}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=15,set_max_players=16..}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§e15 人のプレイヤー",r=2] ~~~ function display_players_15
execute @e[tag=map,scores={joined_players=15,set_max_players=15}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max
execute @e[tag=map,scores={joined_players=16,set_max_players=16}] ~~~ execute @e[name=four_four_npc,type=npc] ~~~ execute @e[type=bw:floating_text,name=!"§l§cMΑX PLAYERS",r=2] ~~~ function display_players_max

# relogin 
scoreboard players add @a relogin 0
scoreboard players reset @a[scores={relogin=0}] finallkillcount
scoreboard players reset @a[scores={relogin=0}] killcount
scoreboard players reset @a[scores={relogin=0}] beddestroy
scoreboard players reset @a[scores={relogin=0}] armor
scoreboard players reset @a[scores={relogin=0}] magic_milk
tellraw @a[scores={relogin=0},tag=joined_game] {"rawtext":[{"text":"§cゲーム中にワールドから退出したため、ロビーへ戻されました！"}]}
tag @a[scores={relogin=0}] remove magic_milk
tag @a[scores={relogin=0}] remove joined_game
tag @a[scores={relogin=0}] remove team_red
tag @a[scores={relogin=0}] remove team_blue
tag @a[scores={relogin=0}] remove team_green
tag @a[scores={relogin=0}] remove team_yellow
gamemode a @a[scores={relogin=0}]
clear @a[scores={relogin=0}]
tag @a[scores={relogin=0}] remove spectator
tag @a[scores={relogin=0}] remove mini_spectator
tag @a[scores={relogin=0}] remove last_life
tag @a[scores={relogin=0}] remove sharpness_sword
tag @a[scores={relogin=0}] remove heal_pool
tag @a[scores={relogin=0}] remove 1st_bed_destroy_player
tag @a[scores={relogin=0}] remove 2nd_bed_destroy_player
tag @a[scores={relogin=0}] remove 3rd_bed_destroy_player
tag @a[scores={relogin=0}] remove beddestroy_finished
scoreboard players reset @a[scores={relogin=0}] maniac_miner
scoreboard players reset @a[scores={relogin=0}] forge
scoreboard players reset @a[scores={relogin=0}] reinforced_armor
scoreboard players reset @a[scores={relogin=0}] invisibility
tag @a[scores={relogin=0}] remove invisibility
tag @a[scores={relogin=0}] remove name_hidden
effect @a[scores={relogin=0}] clear
tag @a[scores={relogin=0}] remove game_end_waiting
tp @a[scores={relogin=0}] -373 72 4 270 0
scoreboard players reset * relogin
scoreboard players set @a relogin 1

# map top air
fill -99 148 -99 99 148 -80 air
fill 99 148 -79 -99 148 -59 air
fill 99 148 -58 -99 148 -38 air
fill 99 148 -37 -99 148 -17 air
fill 99 148 -16 -99 148 16 air
fill 99 148 17 -99 148 37 air
fill 99 148 38 -99 148 68 air
fill 99 148 69 -99 148 99 air